#pragma once

#include <ds-backend/connector.h>
#include <ds-model/apartment-api.h>
#include <http_client.h>
#include <model/apartment.h>

namespace dsApartment {

bool hasCustomizedPassword(ds::System& system);

std::unique_ptr<dsModel::RemoteConnectivityApi> makeRemoteConnectivity(ds::asio::ResourceBase &, dss::Apartment &,
                                                                       dss::SimpleHttpClient &, dsBackend::Connector &);

} // namespace dsApartment
