/*
    Copyright (c) 2016 digitalSTROM.org, Zurich, Switzerland

    This file is part of digitalSTROM Server.

    digitalSTROM Server is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    digitalSTROM Server is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "eventinterpreterjsplugins.h"
#include "eventinterpreterplugins.h"

static ds::LogChannel dsLogChannel("eventInterpreterJsPlugins");

namespace dss {

//================================================== EventInterpreterPluginJavascript

EventInterpreterPluginJavascript::EventInterpreterPluginJavascript(EventInterpreter* _pInterpreter)
    : EventInterpreterPlugin("javascript", _pInterpreter){DS_NOTICE("Dummy EventInterpreterPluginJavascript")} // ctor

      EventInterpreterPluginJavascript::~EventInterpreterPluginJavascript() {}

void EventInterpreterPluginJavascript::handleEvent(Event& _event, const EventSubscription& _subscription) {
} // handleEvent

void EventInterpreterPluginJavascript::initializeEnvironment() {} // initializeEnvironment

void EventInterpreterPluginJavascript::setupCleanupEvent() {} // setupCleanupEvent

void EventInterpreterPluginJavascript::cleanupTerminatedScripts(Event& _event, const EventSubscription& _subscription) {
} // cleanupTerminatedScripts
} // namespace dss
