#include "open-metering-system.h"

DS_JSON_DEFINE_STRUCT((dss::metering), P1Reading);

namespace dss::metering {

namespace {
class OpenMeteringSystemImpl final : public OpenMeteringSystem {
public:
  OpenMeteringSystemImpl(Archives& archives, ElectricityMeteringConfig& config) {}

  void addReading(metering::P1Reading&& p1Reading) override {}
};

} // namespace

std::unique_ptr<OpenMeteringSystem> makeOpenMeteringSystem(Archives& archives, ElectricityMeteringConfig& config) {
  return std::make_unique<OpenMeteringSystemImpl>(archives, config);
}

} // namespace dss::metering
